ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

UIM - Upgrade from 20.3.3 to 20.4, some packages are not updated. 

book

Article ID: 237357

calendar_today

Updated On:

Products

DX Unified Infrastructure Management (Nimsoft / UIM)

Issue/Introduction

In our lab environment we have upgraded to UIM 20.4. Post upgrade, we discovered the below packages are not upgraded automatically: 

1) "Java_jre" package is not upgraded to v2.09.

2) Below packages are not upgraded to v20.4 on the OC:
- mcsuiapp_portlet
- mon_config_service_ws
- policy_management_ws
- uimapi
- webservices_rest

3) Below packages are not upgraded to v20.4 on the Primary:
- mon_config_service_cli
- mon_config_service_recon
- mps

Please confirm what the expected behaviour is? 

Environment

Release : 20.4

Component : UIM - INSTALL

Resolution

1. This is the expected behavior. java_jre is upgraded only on the primary hub when uimserver installer is run. On all other systems, java_jre has to be manually upgraded. Upgrade steps are here. http://support.nimsoft.com/unsecure/archive.aspx?id=214

2. This is the expected behavior. uimapi, webservices_rest and mon_config_service_ws are not installed by default. So, these are not upgraded as well by default. The user should upgrade them manually.mcsuiapp_portlet and policy_management_ws and upgraded but are recorded with different name as mcs-ui-app-portlet and policy-management-ws. 

3. This is the expected behavior. mon_config_service_cli and mon_config_service_recon are not installed by default. So, these are not upgraded as well by default. The user should upgrade them manually.
Note: Please be aware we have raised a defect for the mps probe not updating during the upgrade. This will be worked on and fixed for the next upgrade. 
DE531283 - UIM installer doesn't upgrade mps to 20.4